Skip to main content
API Endpoint: POST /dca/trigger?collector={ID_COLLECTOR}

POST Body

string
required
raw JSON -d '[{"url":"https://targetwebsite.com/product_id/"}]'

Query Parameters

string
required
A unique identification of scraper
string
Set to dev to trigger the development version of the scraper
string
human_name - A human readable name for the batch

Choose trigger_behavior parameters:

int
default:"1"
If there’s already something in the crawl queue, push this job into the queue
string
Send another batch of requests that will start after the last one is finished
int
default:"1"
Cancel running job and run instead, submit the request and cancel running one
int
default:"1"
Disable media file download
string
Set job time deadline, job will be terminated after specified time
  • h : hours
  • m : minutes
  • s : seconds

Headers

string
required
Authorization Bearer Key -H "Authorization: Bearer API_TOKEN"
string
required
JSON/CSV/Multipart -H "Content-Type: application/json"